Bug 550326 - shipped /etc/sudoers has "unused Cmnd_Alias DELEGATING"
shipped /etc/sudoers has "unused Cmnd_Alias DELEGATING"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On: 550239
Blocks: 550008
  Show dependency treegraph
 
Reported: 2009-12-24 09:34 EST by Dan Kenigsberg
Modified: 2010-03-30 04:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 550239
Environment:
Last Closed: 2010-03-30 04:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.63 KB, patch)
2010-02-17 10:28 EST, Daniel Kopeček
no flags Details | Diff

  None (edit)
Description Dan Kenigsberg 2009-12-24 09:34:27 EST
+++ This bug was initially created as a clone of Bug #550239 +++

Description of problem:
/etc/sudoers contains a couple of unused aliases, which make visudo unhappy (or really angree with -s)

Version-Release number of selected component (if applicable):
sudo-1.7.2p1-1.el5

How reproducible:
always

Steps to Reproduce:
1. visudo -c -s (with stock /etc/sudoers)
  
Actual results:
Error

Expected results:
$? == 0

Additional info:
this fails installation of application that edits sudoers automatically, but assumes that all errors/warnings in the file are its own.

visudo is stricter than in RHEL-5.4, but that causes us a regression.
Comment 2 Daniel Kopeček 2010-02-17 10:28:25 EST
Created attachment 394748 [details]
proposed patch
Comment 7 errata-xmlrpc 2010-03-30 04:17:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0212.html

Note You need to log in before you can comment on or make changes to this bug.